System Requirements of this Driver

The printer driver can be used in the following system environments:
Computer
Intel processor-based Macintosh which runs macOS properly
Operating System Software
Mac OS X 10.7.5 and later
NOTE
You can obtain the latest printer driver from the Canon Web site.
The Classic environment of macOS is not supported.
Interface
When connecting with USB (The USB port on Macintosh)
Hi-Speed USB/USB
When connecting to a network
Connector: 10BASE-T or 100BASE-TX
Protocol: TCP/IP (AppleTalk cannot be used)
NOTE
The printer performs bi-directional communication. Operation of the printer when connected via unidirectional communication equipment is not tested, and as a result, Canon cannot guarantee printer operation if the printer is connected using unidirectional print servers, USB hubs or switching devices.
Hard Disk/Memory
One that has the sufficient space for the above operating system to run